Subject: RE: Reg. MPLS-RSVP LSP Tunnels...

From: Kishore Rao <[email-masked]>
Date: Tue, 25 Jul 2000 22:41:36 -0700 (PDT)

Hi Pal, 

I guess Pramoda's worry is : 

Sending the PATH and RESV messages on the 
unlabelled path could result in additional resources
being reserved along the path of the LSP apart from
the ones reserved for the LSP, which is not desirable
since the data flows would get mapped to the LSP and
hence use the resources allocated for the LSP. The
extra resources reserved would be unused. Hence 
the suggestion of sending RSVP control messages on 
the LSP, right Pramoda ? 

Regds
Kishore

Hi Pramoda, 

   You can aggregate two RSVP microflows and share the

same LSP for both dataflow by selecting appropriate 
reservation style. But for signaling, RSVP PATH
message 
needs to be processed at each hop in the path and
needs 
to go to RSVP module at each node. Same is the story
with 
RSVP RESV message. So why do you want to use an LSP to

send PATH and RESV message, in the given topology? 

Thanks, 
Prosenjit Pal 

-----Original Message----- 
From: Pramoda Nallur 
To: Jahaapanah Alampanah 
Cc: [email-masked] 
Sent: 7/25/00 9:12 AM 
Subject: Re: Reg. MPLS-RSVP LSP Tunnels... 

Jah, 

Jahaapanah Alampanah wrote: 

> Hi Jie, 
> 
> If I understand Nallur's problem statement 
> correctly, its got to do with aggregation 
> of RSVP micro flows into LSP Tunnels 
> setup by MPLS-RSVP. 
> 
> 
> An RSVP-LSP-Tunnel has already been established 
> between LER1 and LER2. Now a micro-flow RSVP 
> PATH message from S arrives at LER1. We want 
> this micro-flow to take the LSP. So if we just 
> tunnel this PATH message into the LSP, and 
> make it reach end-host R, the problem is 
> how do we transport the RESV message from R 
> back to S through the same LSP since this 
> is uni-directional? 
> 

You are right in your understanding. But, the question
is, should the 
micro-flow PATH message 
be tunelled into the LSP at all ? 

- Pramoda. 

> 
> I hope Nallur agrees with this re-statement! 
> 
> All comments are welcome. 
> 
> -Jah 
> 
> -----Original Message----- 
> From: Jie Zou <[email-masked]> 
> To: Pramoda Nallur <[email-masked]> 
> Cc: [email-masked] <[email-masked]>;
[email-masked] 
> <[email-masked]>; Kishore Rao
<kishore>; 
> [email-masked]
<[email-masked]> 
> Date: Tuesday, July 25, 2000 6:49 PM 
> Subject: Re: Reg. MPLS-RSVP LSP Tunnels... 
> 
> > 
> >I hope the following can answer a part of
questions. 
> > 
> >According the darft, if A or B is a non-RSVP
router, it can't convey 
> >labels via RSVP path. And it's neighber who knows
it's non-RSVP 
> >router should send a PathErr back to the sender. 
> > 
> >If A or B is an RSVP router but doesn't recognize
the LRO, it should 
> >send a PathErr toward the sender. 
> > 
> >If A or B is an RSVP router and recognize the LRO
but not C_TYPE also 
> >sends a PathErr toward the sender. 
> > 
> >Else the Path msg should pass A and B toward the
receiver and 
> >vice verse the Resv msg should pass the B and A
toward the sender. 
> > 
> > 
> >Regards, 
> > 
>
>-----------------------------------------------------

> >Jie Zou (603)862-4212(Office) 
> >MPLS Consortium 
> >IOL, UNH (603)868-2983(Home) 
>
>-----------------------------------------------------

> > 
> >On Tue, 25 Jul 2000, Pramoda Nallur wrote: 
> > 
> >> Hi, 
> >> 
> >> I have a query on setting up RSVP MPLS LSPs in an
ATM network. 
> >> [ Topology Driven LSP Setup Scenario ] 
> >> 
> >> Suppose the network configuration is as follows :

> >> 
> >>     S--A--LER1---LSR---LER2--B--R 
> >> 
> >> where, 
> >>     S                   --> Sender(RSVP aware) 
> >>     R                   --> Receiver(RSVP aware) 
> >>     A, B                --> Legacy IP Routers 
> >>     LER1, LER2 and LSR  --> MPLS-RSVP ATM
switches. 
> >> 
> >> An LSP setup is initiated from LER1 with
FEC=(S,R). 
> >> 
> >> The RSVP-TE PATH msg (with Sender=S, Session =
Sess_R) creates an 
> >> RSVP Session, Sess_R at LER1, LSR and LER2. The
Egress LER2 
responds with 
> a 
> >> 
> >> RSVP-TE RESV msg reserving resources and sets up
an LSP via LSR to 
LER1. 
> >> 
> >> After the LSP is setup, the RSVP-TE PATH msgs
from LER1 and RSVP-TE 
RESV 
> >> msgs 
> >> from LER2 periodically refresh the RSVP
reservation state on all 
nodes 
> >> along the LSP. 
> >> 
> >> Suppose, Sender S sends an RSVP PATH msg to R
(with Session = 
Sess_R). 
> >> 
> >>  1. Will this PATH msg take the unlabelled path
OR will it get 
switched 
> >> onto the LSP at LER1 ? 
> >> 
> >>  2. Also, how are the resulting RESV msgs from R
propagated back to 
S ? 
> >> 
> >>  3. If these PATH and RESV msgs take the
unlabelled path, will this 
result 
> >> in 
> >>     resource allocation again along all nodes
traversed by the LSP 
? 
> >> 
> >> 
> >> The "RSVP-TE: Extensions to RSVP for LSP Tunnels"

> >> (draft-ietf-mpls-rsvp-lsp-tunnel-06.txt) 
> >> does not mention how the above should be handled.

> >> Any comments on this ? 
> >> - Pramoda Nallur 
____________________________________________________________________

> Get your own FREE, personal Netscape WebMail account
today at 
http://webmail.netscape

__________________________________________________
Do You Yahoo!?
Get Yahoo! Mail – Free email you can access from anywhere!
http://mail.yahoo.com/